using System;
using System.IO;
using Addison_Wesley.Codebook.Filesystem;

namespace Koš
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Přesun souborů a adresářů do koše";

         // Nejprve vytvoříme soubor pro příklad
         File.Copy(@"c:\autoexec.bat", @"c:\autoexec.bat.copy", true);

         // Nejprve vytvoříme adresář pro příklad
         Directory.CreateDirectory(@"C:\Temp\RecycleBinDemoFolder");

         // Datei in den Papierkorb verschieben
         if (FileUtil.MoveToRecycleBin(@"c:\autoexec.bat.copy"))
         {
            Console.WriteLine("Soubor úspěšně přesunut do koše.");
         }
         else
         {
            Console.WriteLine("Soubor se neodařilo přesunout do koše.");
         }

         // Přesun adresáře do koše
         if (FileUtil.MoveToRecycleBin(@"C:\Temp\RecycleBinDemoFolder"))
         {
             Console.WriteLine("Adresář úspěšně přesunut do koše.");
         }
         else
         {
             Console.WriteLine("Adresář se neodařilo přesunout do koše.");
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
